package com.gic.haoban.manage.web.vo.content.account;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/10/29 9:35 PM
 * @Description
 * @Version
 **/
public class ContentAccountInfoVo implements Serializable {

    private static final long serialVersionUID = -3355601918337775024L;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
     * 渠道类型 1 视频号 2 小红书
     */
    private Integer bizType;
    /**
     * 账号名称
     */
    private String accountName;
    /**
     * 账号id
     */
    private String accountId;

    /**
     * 账号头像
     */
    private String accountImageUrl;

    /**
     * 账号授权状态
     * 1 授权中
     * 2 已过期
     * 3 已解绑
     */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getAccountId() {
        return accountId;
    }

    public void setAccountId(String accountId) {
        this.accountId = accountId;
    }

    public String getAccountImageUrl() {
        return accountImageUrl;
    }

    public void setAccountImageUrl(String accountImageUrl) {
        this.accountImageUrl = accountImageUrl;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
